slepc-3.21.1 2024-04-26
Report Typos and Errors

# LMESetCoefficients

Sets the coefficient matrices that define the linear matrix equation to be solved.

### Synopsis

    #include "slepclme.h"
    PetscErrorCode LMESetCoefficients(LME lme,Mat A,Mat B,Mat D,Mat E)

Collective

### Input Parameters

| lme | - the matrix function context
| A | - first coefficient matrix
| B | - second coefficient matrix
| D | - third coefficient matrix
| E | - fourth coefficient matrix

### Notes

The matrix equation takes the general form A*X*E+D*X*B=C, where matrix C is not provided here but with LMESetRHS(). Not all four matrices must be passed, some can be NULL instead, see LMESetProblemType() for details.

It must be called before LMESetUp(). If it is called again after LMESetUp() then the LME object is reset.

In order to delete a previously set matrix, pass a NULL in the corresponding argument.

### See Also

LMESolve(), LMESetUp(), LMESetRHS(), LMESetProblemType()

### Level

beginner

### Location

src/lme/interface/lmesetup.c

### Examples

src/lme/tutorials/ex32.c
Index of all LME routines
Table of Contents for all manual pages
Index of all manual pages